Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Reactive_Connect_Strategy Class Reference

Concrete implementation of a connect strategy that waits on the reactor during asynch connects. More...

`#include <Reactive_Connect_Strategy.h>`

Inheritance diagram for TAO_Reactive_Connect_Strategy:

[legend]
Collaboration diagram for TAO_Reactive_Connect_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Reactive_Connect_Strategy (TAO_ORB_Core *orb)
| Constructor.
| ~TAO_Reactive_Connect_Strategy (void)
| Destructor.
virtual void | synch_options (ACE_Time_Value *val, ACE_Synch_Options &opt)
| Obtain the synch options that can be passed to ACE_Connector.
virtual int | wait (TAO_Connection_Handler *ch, ACE_Time_Value *val)
| Wait for the connection to be completed till a timeout occurs.

## Detailed Description

Concrete implementation of a connect strategy that waits on the reactor during asynch connects.

## Constructor & Destructor Documentation

TAO_Reactive_Connect_Strategy::TAO_Reactive_Connect_Strategy | ( | TAO_ORB_Core * | orb | ) |

| Constructor.

TAO_Reactive_Connect_Strategy::~TAO_Reactive_Connect_Strategy | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Reactive_Connect_Strategy::synch_options | ( | ACE_Time_Value * | val,
|  | ACE_Synch_Options & | opt
| ) | `[virtual]`

| Obtain the synch options that can be passed to ACE_Connector. Implements TAO_Connect_Strategy.

int TAO_Reactive_Connect_Strategy::wait | ( | TAO_Connection_Handler * | ch,
|  | ACE_Time_Value * | val
| ) | `[virtual]`

| Wait for the connection to be completed till a timeout occurs. Implements TAO_Connect_Strategy.

The documentation for this class was generated from the following files:

- Reactive_Connect_Strategy.h
- Reactive_Connect_Strategy.cpp